<template>
  <page
    title="Account"
    max-width="40em"
  >
    <template slot="title-action">
      <v-btn
        icon
        @click="logout"
      >
        <v-icon>mdi-logout</v-icon>
      </v-btn>
    </template>
    <formulary
      :submit="update"
      v-if="user"
    >
      <v-text-field
        label="Email"
        name="email"
        type="email"
        readonly
        v-model="user.email"
      />
      <v-subheader>Segurança</v-subheader>
      <hidden
        label="New Password"
        name="password"
        v-model="user.password"
      />
    </formulary>
  </page>
</template>

<script lang="ts">
import Vue from 'vue'
import Page from '@/components/Page.vue'
import Formulary from '@/components/Formulary.vue'

import Hidden from '@/components/input/Hidden.vue'

export default Vue.extend({
  components: {
    Page,
    Formulary,
    Hidden
  },
  data: () => ({
    user: null as {
      email: string,
      password?: string
    } | null
  }),
  mounted () {
    this.user = this.$store.getters['auth/user']
  },
  methods: {
    async logout () {
      await this.$store.dispatch('auth/logout')
      this.$router.go(0)
    }
  }
})
</script>
